=== debian/changelog ===
owncloud (6.0.1+dfsg-1ubuntu1) trusty; urgency=medium

  * Alternatively depend on zend-framework (see Debian bug #688033 and
    LP bug #1052423).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 26 Jan 2014 01:03:31 +0100

owncloud (6.0.1+dfsg-1) unstable; urgency=low

  [ Frank Karlitschek ]
  * 6.0.1

  [ David Prévot ]
  * Drop allegedly sourceless Flash and Silverlight (Closes: #736109)
  * Drop curl from Recommends
  * Suggest SQL servers as alternatives
  * Update upstream changelog
  * Upload version 6 to unstable, and set urgency to low

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2014 14:48:09 -0400

owncloud (6.0.1~rc1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * clarifying license
  * 6.0.1 RC1

  [ Bjoern Schiessle ]
  * reliable detect encrypted files
  * don't unshare on delete
  * copy files to owner trash recursively

  [ Andreas Fischer ]
  * Backport of PR #4378: Don't use xcache in case admin auth is enabled.

  [ Jörn Friedrich Dreyer ]
  * remove duplicate exe mimetype, add correct msi mimetype

  [ Oliver Gasser ]
  * DB: Support DECIMAL(precision,scale) syntax in XML

  [ Vincent Petry ]
  * Added workaround for Android content disposition
  * Fixed timezone issue with SMB storage

  [ Thomas Müller ]
  * turn off mod_pagespeed

  [ Arthur Schiwon ]
  * Add command line tool to show numbers of users and user directories

  [ Georg Ehrke ]
  * fix preview for reshared file

  [ David Prévot ]
  * Adapt to aws-sdk new path
  * Disable Flash and Silverlight plugins
  * Alternative dependency on mediawiki
  * Fix X-EVOLUTION-FILE-AS escape, thanks to Simon McVittie (Closes: #735112)
  * Update upstream changelog
  * Update copyright
  * Minify jquery.masonry.min.js at build time

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2014 08:41:26 -0400

owncloud (6.0.0.a+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0a

  [ David Prévot ]
  * Update upstream changelog
  * Update dependencies following the documentation
  * Adapt to removed openid, fullcalendar and smb4php

 -- David Prévot <taffit@debian.org>  Sat, 14 Dec 2013 20:23:08 -0400

owncloud (6.0.0+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0

 -- David Prévot <taffit@debian.org>  Tue, 10 Dec 2013 12:38:52 -0400

owncloud (6.0.0~rc4+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Clean up pre-5.0.8+dfsg-2 handling

  [ Frank Karlitschek ]
  * RC4

 -- David Prévot <taffit@debian.org>  Fri, 06 Dec 2013 21:58:30 -0400

owncloud (6.0.0~rc3+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * lower required php version to 5.3.3
  * ownCloud 6 RC3

  [ David Prévot ]
  * Update JAMA and webodf copyright
  * Revert "Bump php5 minimal version"

 -- David Prévot <taffit@debian.org>  Thu, 05 Dec 2013 10:51:24 -0400

owncloud (6.0.0~rc2+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * make 5.3.8 the minimum supported version
  * ownCloud 6 RC2

  [ David Prévot ]
  * Depend on libjs-jcrop instead of using embedded copy
  * Bump php5 minimal version

 -- David Prévot <taffit@debian.org>  Sun, 01 Dec 2013 21:12:59 -0400

owncloud (6.0.0~rc1+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * ownCloud 6 RC1

  [ David Prévot ]
  * Factorize copyright
  * Recommend libreoffice and php5-imagick for thumbnails
  * Adapt to current version handling

 -- David Prévot <taffit@debian.org>  Fri, 29 Nov 2013 22:01:53 -0400

owncloud (6.0.0~beta5+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta5+dfsg
  * Fix fonts-font-awesome symlink (Closes: #729811)
  * Get rid of owncloud-{mysql,pgsql,sqlite}
  * Move fullcalendar to apps/calendar
  * Recommend libav-tools for video thumbnails

 -- David Prévot <taffit@debian.org>  Wed, 20 Nov 2013 16:38:21 -0400

owncloud (6.0.0~beta4+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta4+dfsg
  * Fix Sabre version dependency, avoiding upcoming php-sabre-vobject (>= 3)
  * Depend on packages needed by core and default apps: Packages needed by
    apps that are not enable by default are demoted to Recommends, and
    vice-versa
  * Enable documents app back

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2013 17:32:20 -0400

owncloud (6.0.0~beta3+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta3+dfsg
    - Update repack script
    - Add external source for jquery-migrate-1.2.1
    - Adapt to updated major upstream release
    - Refresh patches
    - Adapt to MDB2 now gone
    - Disable documents app
  * Depend on libjs-dojo-core, libjs-dojo-dijit, libjs-dojo-dojox,
    libphp-pclzip, php-doctrine-common, php-dompdf, php-dropbox,
    php-opencloud, php-phpdocx and php-symfony-console instead of using
    embedded copies.
  * Handle patches with gbp pq
  * Verify GPG signature on download

 -- David Prévot <taffit@debian.org>  Mon, 11 Nov 2013 12:26:24 -0400

owncloud (5.0.13+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.13+dfsg
  * Update upstream changelog
  * Remove now useless versionning for fonts-font-awesome

 -- David Prévot <taffit@debian.org>  Tue, 05 Nov 2013 17:02:19 -0400

owncloud (5.0.13~rc1+dfsg-1) experimental; urgency=low

  * Simplify fonts-font-awesome handling
  * Imported Upstream version 5.0.13~rc1+dfsg
  * Update rules
  * Refresh patches
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Thu, 31 Oct 2013 23:34:11 -0400
