=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           David Prévot <taffit@debian.org>,
           Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 8), libjs-dojo-dojox, node-uglify
Standards-Version: 3.9.5
Homepage: http://owncloud.org
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud.git

Package: owncloud
Architecture: all
Depends: apache2 | httpd,
         fonts-font-awesome,
         libjs-chosen,
         libjs-dojo-dojox,
         libjs-jcrop,
         libjs-jquery (>= 1.7.2-1),
         libjs-jquery-minicolors (<< 2~),
         libjs-jquery-mousewheel,
         libjs-jquery-timepicker,
         libjs-pdf,
         libphp-pclzip,
         libphp-phpmailer,
         mediawiki-classes | mediawiki (>= 1:1.19),
         owncloud-doc (>= 0~20131119),
         php-doctrine-common,
         php-dompdf,
         php-getid3 (>= 1.9.5~),
         php-patchwork-utf8,
         php-pear,
         php-phpdocx,
         php-sabre-dav (<< 1.8),
         php-sabre-vobject (<< 3),
         php-symfony-console,
         php-symfony-routing,
         php-xml-parser,
         php5,
         php5-gd,
         php5-json,
         php5-mysql | php5-pgsql | php5-sqlite,
         zend-framework | zendframework,
         ${misc:Depends}
Recommends: exim4 | mail-transport-agent,
            libav-tools,
            liboauth-php,
            libreoffice,
            php-aws-sdk (>= 2.5.1),
            php-crypt-blowfish,
            php-dropbox,
            php-google-api-php-client,
            php-irods-prods,
            php-opencloud,
            php-seclib,
            php-services-json,
            php5-apcu | php5-xcache,
            php5-cli,
            php5-curl,
            php5-imagick,
            php5-intl,
            php5-ldap,
            php5-mcrypt,
            smbclient
Suggests: libapache2-mod-xsendfile,
          mysql-server | virtual-mysql-server | postgresql
Provides: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Conflicts: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Replaces: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.
