=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/PCLZip/gnu-lgpl.txt
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/contacts/COPYING-README
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google\ Android\ License.txt
	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other useless documentation
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Chart/Renderer/PHP\ Charting\ Libraries.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/JAMA/CHANGELOG.TXT
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/PCLZip/readme.txt
	rm debian/owncloud/usr/share/owncloud/apps/activity/TODO
	rm debian/owncloud/usr/share/owncloud/apps/bookmarks/README.md
	rm debian/owncloud/usr/share/owncloud/apps/calendar/README.md
	rm debian/owncloud/usr/share/owncloud/apps/contacts/Changelog
	rm debian/owncloud/usr/share/owncloud/apps/contacts/README.md
	rm debian/owncloud/usr/share/owncloud/apps/contacts/composer.json
	rm debian/owncloud/usr/share/owncloud/apps/documents/README.md
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/css/fonts
	rm debian/owncloud/usr/share/owncloud/apps/files_encryption/appinfo/spec.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/demo.html

	# Remove unused scripts, tests and sources
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm    debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	find  debian/owncloud/usr/share/owncloud/apps/bookmarks/l10n \
	      debian/owncloud/usr/share/owncloud/apps/calendar/l10n \
	      debian/owncloud/usr/share/owncloud/apps/contacts/l10n \
	      debian/owncloud/usr/share/owncloud/apps/documents/l10n \
		-mindepth 1 -type d | xargs rm -r
	rm    debian/owncloud/usr/share/owncloud/apps/*/l10n/l10n.pl
	rm -r debian/owncloud/usr/share/owncloud/apps/bookmarks/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/calendar/tests
	rm    debian/owncloud/usr/share/owncloud/apps/contacts/.travis.yml
	rm -r debian/owncloud/usr/share/owncloud/apps/contacts/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/src
	rm -r debian/owncloud/usr/share/owncloud/apps/files/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_sharing/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement
	rm -r debian/owncloud/usr/share/owncloud/apps/user_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
	rm    debian/owncloud/usr/share/owncloud/core/img/image-optimization.sh

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.min.js
	rm debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js

	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.min.js \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.min.js \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.onfontresize.js \
		&& uglifyjs \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	for i in `grep 'START OF NLS BUNDLE ENTRY' apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		| sed 's,^/\* START OF NLS BUNDLE ENTRY \[dojo-deps/dist,/usr/share/javascript,;s,] \*/,,'` \
		; do if [ -e $$i ] ; then uglifyjs $$i >> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		; fi ;done
	cat \
		/usr/share/javascript/dojo/dojo.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf-debug.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js \
		debian/jquery-migrate-1.2.1.js

	# Clean up apps to link external third parties
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/resources
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/Dropbox
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/aws-sdk-php
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/google-api-php-client
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/php-opencloud
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/phpseclib
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/lib/private/util.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
