## owncloud 7.0.4+dfsg

=== debian/changelog ===
owncloud (7.0.4+dfsg-4~deb8u3) jessie-security; urgency=high

  * Backport security fixes from 7.0.5, 7.0.7, 8.0.6, and 7.0.9:
    - Fix stored XSS in "activity" application
      [oC-SA-2015-010] [CVE-2015-5953]
    - Fix disclosure of users files when deleting parent folders of shared files
      [oC-SA-2015-011] [CVE-2015-5954]
    - Fix information exposure through directory listing
      [oC-SA-2015-014] [CVE-2015-6500] (Closes: #800126)
    - Fix PHP arbitrary class instantiation in "files_external"
      [oC-SA-2015-018]

 -- David Prévot <taffit@debian.org>  Wed, 30 Sep 2015 19:23:46 -0400

owncloud (7.0.4+dfsg-4~deb8u2) jessie; urgency=medium

  * Backport security fixes from 7.0.6 and 7.0.8:
    - Local file inclusion on MS Windows Platform
      [OC-SA-2015-006] [CVE-2015-4716]
    - Resource exhaustion when sanitizing filenames
      [OC-SA-2015-007] [CVE-2015-4717]
    - Command injection when using external SMB storage
      [OC-SA-2015-008] [CVE-2015-4718]
    - Calendar export: Authorization Bypass Through User-Controlled Key
      [OC-SA-2015-015] [CVE-2015-6670]

 -- David Prévot <taffit@debian.org>  Thu, 03 Sep 2015 19:38:32 -0400

owncloud (7.0.4+dfsg-4~deb8u1) jessie-security; urgency=medium

  * Upload to jessie-security as agreed with the security team

 -- David Prévot <taffit@debian.org>  Fri, 01 May 2015 08:12:52 -0400

owncloud (7.0.4+dfsg-4) unstable; urgency=medium

  * Document CVE in previous changelog entry
  * Simply use su instead of sudo in postinst

 -- David Prévot <taffit@debian.org>  Sun, 12 Apr 2015 11:57:04 -0400

owncloud (7.0.4+dfsg-3) unstable; urgency=medium

  * Add gbp config file to follow the jessie branch
  * Backport security fixes from 7.0.5:
    - Multiple stored XSS in "contacts" application [OC-SA-2015-001]
      [CVE-2015-3011]
    - Multiple stored XSS in "documents" application [OC-SA-2015-002]
      [CVE-2015-3012]
    - Bypass of file blacklist [OC-SA-2015-004] [CVE-2015-3013]
  * Run upgrade script with sudo as www-data user
  * Depend on php5-cli (it is actually used in postinst)

 -- David Prévot <taffit@debian.org>  Wed, 25 Mar 2015 16:20:32 -0400

owncloud (7.0.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable as agreed with the release team

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2014 12:15:07 -0400

owncloud (7.0.4+dfsg-1) experimental; urgency=medium

  [ Lukas Reschke ]
  * Trim port from domain
  * Create config if it does not exists

  [ Arthur Schiwon ]
  * preserve an asterisk at the start when escaping a search term

  [ Frank Karlitschek ]
  * 7.0.4

  [ David Prévot ]
  * Refresh patches
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Tue, 09 Dec 2014 18:32:21 -0400

owncloud (7.0.4~rc2+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Arthur Schiwon ]
  * add ldap-search command to occ
  * LDAP search filter creation changes

  [ Lukas Reschke ]
  * Allow read-only configuration

  [ Frank Karlitschek ]
  * 7.0.4 RC2

  [ David Prévot ]
  * Refresh patches

 -- David Prévot <taffit@debian.org>  Sat, 06 Dec 2014 01:51:30 -0400

owncloud (7.0.4~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable as agreed with the release team

 -- David Prévot <taffit@debian.org>  Sat, 06 Dec 2014 17:38:10 -0400

owncloud (7.0.4~rc1+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Morris Jobke ]
  * Fix infinite loop if count and limit is 0

  [ Lukas Reschke ]
  * Run preupdate before an update
  * Add repair steps for legacy config files
  * Fix mapping of relative paths
  * Backport \OC\Security\Crypto to ownCloud 7
  * Only store user credentials when SMB_OC storage is enabled
  * Use `/` as redirect location if webroot is set to an empty value
  * Try to read the file only instead of trying to touch
  * Don't show favicon to prevent iteration through subfolders
  * Check for XMLWriter class

  [ Vincent Petry ]
  * Fix root path handling for WebDAV ext storage
  * Fix file upload to ext storage when recovery key is enabled
  * Show warning when invalid user was passed

  [ Andreas Fischer ]
  * user_ldap: Reimplement convertSID2Str() without BCMath dependency.

  [ michag86 ]
  * removal of wrong/double implemented check
  * cleanup group admin(s) on deleteGroup

  [ Clark Tomlinson ]
  * Hiding add to your own cloud if server2server sharing is not enabled

  [ Michael Roitzsch ]
  * file size on non-(Linux/BSD/Windows)-installations

  [ Bjoern Schiessle ]
  * use login name to verify password

  [ Craig Morrissey ]
  * adjust autocomplete behavior for sharing menu

  [ Georg Ehrke ]
  * delete all children's previews when deleting a folder
  * delete old previews

  [ Frank Karlitschek ]
  * 7.0.4 RC1

  [ David Prévot ]
  * Refresh patches
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 01 Dec 2014 19:10:39 -0400

owncloud (7.0.3+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Restrict php-aws-sdk version
  * Update documentation from Jessie+1 to Stretch
  * Update upstream changelog

  [ Frank Karlitschek ]
  * 7.0.3

  [ Vincent Petry ]
  * Convert StorageNotAvailableException to SabreDAV exception

  [ Lukas Reschke ]
  * Use proper array key

  [ Thomas Müller ]
  * Ensure there is a connection object within \OC_DB::enableCaching()

 -- David Prévot <taffit@debian.org>  Thu, 13 Nov 2014 13:49:51 -0400

owncloud (7.0.3~rc3+dfsg-1) unstable; urgency=medium

  * Upload to unstable in order to gather as much testing as possible before
    proposing the final version (to the release team) for Jessie

  [ Jörn Friedrich Dreyer ]
  * fix files_external storage id migration
  * allow passing driver options, fixes #11718
  * add driver options to config samples

  [ Vincent Petry ]
  * Properly register sharing hooks and proxies
  * Check for cert bundle existence before using it
  * Store curl error message directly

  [ Frank Karlitschek ]
  * 7.0.3 RC3

  [ David Prévot ]
  * Refresh patches

