=== debian/watch ===
version=3
options=dversionmangle=s/\+dfsg$//,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg \
  https://owncloud.org/changelog/ \
  https://download.owncloud.org/community/owncloud-(.*)\.tar\.bz2
options=dversionmangle=s/\+dfsg$//,uversionmangle=s/([^\w.]+)/~$1/i;tr/A-Z/a-z/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg \
  https://owncloud.org/install/ \
  https://download.owncloud.org/community.*/owncloud-(\d.*)\.tar\.bz2
